diff --git a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
index 6410801..3afcc01 100644
--- a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
+++ b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/LinkedHashMultimapGwtSerializationDependencies.java
@@ -16,11 +16,9 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import java.util.Map;
 
-@GwtCompatible(emulated = true)
 abstract class LinkedHashMultimapGwtSerializationDependencies<K, V>
     extends AbstractSetMultimap<K, V> {
   LinkedHashMultimapGwtSerializationDependencies(Map<K, Collection<V>> map) {
diff --git a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/RangeGwtSerializationDependencies.java b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/RangeGwtSerializationDependencies.java
index 3e8f7ab..9df5a5e 100644
--- a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/RangeGwtSerializationDependencies.java
+++ b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/RangeGwtSerializationDependencies.java
@@ -16,10 +16,8 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 
-@GwtCompatible(emulated = true)
 abstract class RangeGwtSerializationDependencies<C extends Comparable> implements Serializable {
   C dummy;
 }
diff --git a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/SortedMultiset.java b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/SortedMultiset.java
index 5adb9db..e4c0a63 100644
--- a/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/SortedMultiset.java
+++ b/guava-gwt/src-super/com/google/common/collect/super/com/google/common/collect/SortedMultiset.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.Beta;
 import java.util.Comparator;
 import java.util.SortedSet;
 
@@ -27,7 +26,6 @@ import java.util.SortedSet;
  * @author Louis Wasserman
  * @since 11.0
  */
-@Beta
 public interface SortedMultiset<E> extends Multiset<E>, SortedIterable<E> {
   Comparator<? super E> comparator();
 
diff --git a/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/AbstractFuture.java b/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/AbstractFuture.java
index 0f22cac..d40fd32 100644
--- a/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/AbstractFuture.java
+++ b/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/AbstractFuture.java
@@ -33,7 +33,6 @@ import java.util.concurrent.TimeUnit;
 import java.util.concurrent.TimeoutException;
 import java.util.logging.Level;
 import java.util.logging.Logger;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /** Emulation for AbstractFuture in GWT. */
 @SuppressWarnings("nullness") // TODO(b/147136275): Remove once our checker understands & and |.
@@ -271,7 +270,6 @@ public abstract class AbstractFuture<V> extends InternalFutureFailureAccess
    *
    * @return null if an explanation cannot be provided because the future is done.
    */
-  @Nullable
   String pendingToString() {
     if (state == State.DELEGATED) {
       return "setFuture=[" + delegate + "]";
diff --git a/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/InterruptibleTask.java b/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/InterruptibleTask.java
index 1cd9f3e..0f8a6e3 100644
--- a/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/InterruptibleTask.java
+++ b/guava-gwt/src-super/com/google/common/util/concurrent/super/com/google/common/util/concurrent/InterruptibleTask.java
@@ -16,7 +16,6 @@
 
 package com.google.common.util.concurrent;
 
-import static com.google.common.util.concurrent.NullnessCasts.uncheckedCastNullableTToT;
 
 /** Emulation for InterruptibleTask in GWT. */
 abstract class InterruptibleTask<T> implements Runnable {
diff --git a/guava-gwt/test-super/com/google/common/collect/testing/super/com/google/common/collect/testing/testers/Platform.java b/guava-gwt/test-super/com/google/common/collect/testing/super/com/google/common/collect/testing/testers/Platform.java
index 479b80f..5cc1e26 100644
--- a/guava-gwt/test-super/com/google/common/collect/testing/super/com/google/common/collect/testing/testers/Platform.java
+++ b/guava-gwt/test-super/com/google/common/collect/testing/super/com/google/common/collect/testing/testers/Platform.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing.testers;
 
-import com.google.common.annotations.GwtCompatible;
 import com.google.gwt.core.client.GWT;
 
 /**
@@ -24,7 +23,6 @@ import com.google.gwt.core.client.GWT;
  *
  * @author Hayward Chan
  */
-@GwtCompatible(emulated = true)
 final class Platform {
 
   // Use fewer steps in the ListIteratorTester in ListListIteratorTester because it's slow in prod
diff --git a/guava-gwt/test-super/com/google/common/math/super/com/google/common/math/TestPlatform.java b/guava-gwt/test-super/com/google/common/math/super/com/google/common/math/TestPlatform.java
index 7d355cf..fb36027 100644
--- a/guava-gwt/test-super/com/google/common/math/super/com/google/common/math/TestPlatform.java
+++ b/guava-gwt/test-super/com/google/common/math/super/com/google/common/math/TestPlatform.java
@@ -16,10 +16,8 @@
 
 package com.google.common.math;
 
-import com.google.common.annotations.GwtCompatible;
 
 /** @author Chris Povirk */
-@GwtCompatible(emulated = true)
 class TestPlatform {
   static boolean intsCanGoOutOfRange() {
     return true;
diff --git a/guava-gwt/test-super/com/google/common/primitives/super/com/google/common/primitives/TestPlatform.java b/guava-gwt/test-super/com/google/common/primitives/super/com/google/common/primitives/TestPlatform.java
index a7ff27c..32515b7 100644
--- a/guava-gwt/test-super/com/google/common/primitives/super/com/google/common/primitives/TestPlatform.java
+++ b/guava-gwt/test-super/com/google/common/primitives/super/com/google/common/primitives/TestPlatform.java
@@ -16,9 +16,7 @@
 
 package com.google.common.primitives;
 
-import com.google.common.annotations.GwtCompatible;
 
-@GwtCompatible(emulated = true)
 class TestPlatform {
   static int reduceIterationsIfGwt(int iterations) {
     return iterations / 10;
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
index 02efe30..c5eedc7 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.testers.CollectionAddAllTester;
 import com.google.common.collect.testing.testers.CollectionAddTester;
 import com.google.common.collect.testing.testers.CollectionClearTester;
@@ -46,7 +45,6 @@ import java.util.List;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class AbstractCollectionTestSuiteBuilder<
         B extends AbstractCollectionTestSuiteBuilder<B, E>, E>
     extends PerCollectionSizeTestSuiteBuilder<B, TestCollectionGenerator<E>, Collection<E>, E> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java b/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
index c5191be..0dd364b 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractCollectionTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import org.junit.Ignore;
 
@@ -26,7 +25,6 @@ import org.junit.Ignore;
  * @param <E> the element type of the collection to be tested.
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractCollectionTester<E>
     extends AbstractContainerTester<Collection<E>, E> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java b/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
index a5674d3..5d5e20f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractContainerTester.java
@@ -16,8 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.OverridingMethodsMustInvokeSuper;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -33,7 +31,6 @@ import org.junit.Ignore;
  * @param <E> the type of the container's contents
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractContainerTester<C, E>
     extends AbstractTester<OneSizeTestContainerGenerator<C, E>> {
@@ -41,7 +38,6 @@ public abstract class AbstractContainerTester<C, E>
   protected C container;
 
   @Override
-  @OverridingMethodsMustInvokeSuper
   public void setUp() throws Exception {
     super.setUp();
     samples = this.getSubjectGenerator().samples();
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java b/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
index f1b8f86..4778605 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractIteratorTester.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static junit.framework.Assert.assertEquals;
 import static junit.framework.Assert.fail;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -40,7 +39,6 @@ import junit.framework.AssertionFailedError;
  * @author Kevin Bourrillion
  * @author Chris Povirk
  */
-@GwtCompatible
 abstract class AbstractIteratorTester<E, I extends Iterator<E>> {
   private Stimulus<E, ? super I>[] stimuli;
   private final Iterator<E> elementsToInsert;
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java b/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
index 090442e..db966b7 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractMapTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collection;
 import java.util.Iterator;
 import java.util.List;
@@ -35,7 +34,6 @@ import org.junit.Ignore;
  * @param <V> the value type of the map to be tested.
  * @author George van den Driessche
  */
-@GwtCompatible
 @Ignore // Affects only Android test runner, which respects JUnit 4 annotations on JUnit 3 tests.
 public abstract class AbstractMapTester<K, V>
     extends AbstractContainerTester<Map<K, V>, Entry<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java b/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
index dc1e1a0..b15ec06 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AbstractTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import junit.framework.TestCase;
 
 /**
@@ -30,7 +29,6 @@ import junit.framework.TestCase;
  *     parameterize the test.
  * @author George van den Driessche
  */
-@GwtCompatible
 public class AbstractTester<G> extends TestCase {
   private G subjectGenerator;
   private String suiteName;
diff --git a/guava-testlib/src/com/google/common/collect/testing/AnEnum.java b/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
index 1d35795..5200e9e 100644
--- a/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
+++ b/guava-testlib/src/com/google/common/collect/testing/AnEnum.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A sample enumerated type we use for testing.
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public enum AnEnum {
   A,
   B,
diff --git a/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java b/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
index 3847709..780f909 100644
--- a/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
+++ b/guava-testlib/src/com/google/common/collect/testing/BaseComparable.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 
 /**
@@ -24,7 +23,6 @@ import java.io.Serializable;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class BaseComparable implements Comparable<BaseComparable>, Serializable {
   private final String s;
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
index 5f9aff4..627e8ca 100644
--- a/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/CollectionTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.testing.SerializableTester;
 import java.util.ArrayList;
@@ -37,7 +36,6 @@ import junit.framework.TestSuite;
  * @author Chris Povirk
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class CollectionTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<CollectionTestSuiteBuilder<E>, E> {
   public static <E> CollectionTestSuiteBuilder<E> using(TestCollectionGenerator<E> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
index 47220b0..272e7ea 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ConcurrentMapTestSuiteBuilder.java
@@ -14,7 +14,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.testers.ConcurrentMapPutIfAbsentTester;
 import com.google.common.collect.testing.testers.ConcurrentMapRemoveTester;
 import com.google.common.collect.testing.testers.ConcurrentMapReplaceEntryTester;
@@ -28,7 +27,6 @@ import java.util.List;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class ConcurrentMapTestSuiteBuilder<K, V> extends MapTestSuiteBuilder<K, V> {
   public static <K, V> ConcurrentMapTestSuiteBuilder<K, V> using(TestMapGenerator<K, V> generator) {
     ConcurrentMapTestSuiteBuilder<K, V> result = new ConcurrentMapTestSuiteBuilder<>();
diff --git a/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
index cccd06e..a8cbf82 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ConcurrentNavigableMapTestSuiteBuilder.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtIncompatible;
 import java.util.List;
 
 /**
@@ -25,7 +24,6 @@ import java.util.List;
  *
  * @author Louis Wasserman
  */
-@GwtIncompatible
 public class ConcurrentNavigableMapTestSuiteBuilder<K, V>
     extends NavigableMapTestSuiteBuilder<K, V> {
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java b/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
index 3588e85..0d765be 100644
--- a/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
+++ b/guava-testlib/src/com/google/common/collect/testing/DerivedCollectionGenerators.java
@@ -21,7 +21,6 @@ import static com.google.common.collect.testing.Helpers.equal;
 import static com.google.common.collect.testing.Helpers.mapEntry;
 import static java.util.Collections.sort;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -39,7 +38,6 @@ import java.util.SortedSet;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class DerivedCollectionGenerators {
   public static class MapEntrySetGenerator<K, V>
       implements TestSetGenerator<Entry<K, V>>, DerivedGenerator {
diff --git a/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java b/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
index 5b0d16f..ec8e072 100644
--- a/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
+++ b/guava-testlib/src/com/google/common/collect/testing/DerivedComparable.java
@@ -16,14 +16,12 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * Simple derived class to verify that we handle generics correctly.
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class DerivedComparable extends BaseComparable {
   public DerivedComparable(String s) {
     super(s);
diff --git a/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java b/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
index d80f5a9..54c025d 100644
--- a/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/DerivedGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 
 /**
  * A generator that relies on a preexisting generator for most of its work. For example, a derived
@@ -29,7 +28,6 @@ import com.google.common.annotations.GwtCompatible;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public interface DerivedGenerator {
   TestSubjectGenerator<?> getInnerGenerator();
 }
diff --git a/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java b/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
index ce0b125..246dc3f 100644
--- a/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
+++ b/guava-testlib/src/com/google/common/collect/testing/DerivedTestIteratorGenerator.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Iterator;
 
 /**
@@ -24,7 +23,6 @@ import java.util.Iterator;
  *
  * @author George van den Driessche
  */
-@GwtCompatible
 public final class DerivedTestIteratorGenerator<E>
     implements TestIteratorGenerator<E>, DerivedGenerator {
   private final TestSubjectGenerator<? extends Iterable<E>> collectionGenerator;
diff --git a/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
index b629fa9..208b09a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/FeatureSpecificTestSuiteBuilder.java
@@ -19,7 +19,6 @@ package com.google.common.collect.testing;
 import static java.util.Collections.disjoint;
 import static java.util.logging.Level.FINER;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.ConflictingRequirementsException;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.features.FeatureUtil;
@@ -51,7 +50,6 @@ import junit.framework.TestSuite;
  *     information required to parameterize the test.
  * @author George van den Driessche
  */
-@GwtIncompatible
 public abstract class FeatureSpecificTestSuiteBuilder<
     B extends FeatureSpecificTestSuiteBuilder<B, G>, G> {
   @SuppressWarnings("unchecked")
diff --git a/guava-testlib/src/com/google/common/collect/testing/Helpers.java b/guava-testlib/src/com/google/common/collect/testing/Helpers.java
index 8efafc3..bbdda08 100644
--- a/guava-testlib/src/com/google/common/collect/testing/Helpers.java
+++ b/guava-testlib/src/com/google/common/collect/testing/Helpers.java
@@ -21,8 +21,6 @@ import static junit.framework.Assert.assertEquals;
 import static junit.framework.Assert.assertFalse;
 import static junit.framework.Assert.assertTrue;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.lang.reflect.Method;
 import java.util.ArrayList;
@@ -40,7 +38,6 @@ import java.util.Set;
 import junit.framework.Assert;
 import junit.framework.AssertionFailedError;
 
-@GwtCompatible(emulated = true)
 public class Helpers {
   // Clone of Objects.equal
   static boolean equal(Object a, Object b) {
@@ -514,7 +511,7 @@ public class Helpers {
     }
   }
 
-  @GwtIncompatible // reflection
+  // reflection
   public static Method getMethod(Class<?> clazz, String name) {
     try {
       return clazz.getMethod(name);
diff --git a/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java b/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
index c447e29..e3dc4f8 100644
--- a/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
+++ b/guava-testlib/src/com/google/common/collect/testing/IteratorFeature.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.EnumSet;
 import java.util.Iterator;
@@ -30,7 +29,6 @@ import java.util.Set;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public enum IteratorFeature {
   /** Support for {@link Iterator#remove()}. */
   SUPPORTS_REMOVE,
diff --git a/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java b/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
index fdc418a..23c5f99 100644
--- a/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/IteratorTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Iterator;
 
@@ -83,7 +82,6 @@ import java.util.Iterator;
  * @author Kevin Bourrillion
  * @author Chris Povirk
  */
-@GwtCompatible
 public abstract class IteratorTester<E> extends AbstractIteratorTester<E, Iterator<E>> {
   /**
    * Creates an IteratorTester.
diff --git a/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java b/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
index 126eb86..9f1e7b3 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ListIteratorTester.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.List;
 import java.util.ListIterator;
@@ -34,7 +33,6 @@ import java.util.ListIterator;
  *
  * @author Chris Povirk
  */
-@GwtCompatible
 public abstract class ListIteratorTester<E> extends AbstractIteratorTester<E, ListIterator<E>> {
   protected ListIteratorTester(
       int steps,
diff --git a/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
index 492a50c..365448b 100644
--- a/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/ListTestSuiteBuilder.java
@@ -20,7 +20,6 @@ import static com.google.common.collect.testing.features.CollectionFeature.KNOWN
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE;
 import static com.google.common.collect.testing.features.CollectionFeature.SERIALIZABLE_INCLUDING_VIEWS;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.features.CollectionFeature;
 import com.google.common.collect.testing.features.Feature;
 import com.google.common.collect.testing.testers.CollectionSerializationEqualTester;
@@ -57,7 +56,6 @@ import junit.framework.TestSuite;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public final class ListTestSuiteBuilder<E>
     extends AbstractCollectionTestSuiteBuilder<ListTestSuiteBuilder<E>, E> {
   public static <E> ListTestSuiteBuilder<E> using(TestListGenerator<E> generator) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java b/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
index b8b5c28..47b2e6a 100644
--- a/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
+++ b/guava-testlib/src/com/google/common/collect/testing/MapInterfaceTest.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static java.util.Collections.singleton;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Collections;
@@ -41,7 +40,6 @@ import junit.framework.TestCase;
 // TODO: Add another constructor parameter indicating whether the class under test is ordered, and
 // check the order if so.
 // TODO: Refactor to share code with SetTestBuilder etc.
-@GwtCompatible
 public abstract class MapInterfaceTest<K, V> extends TestCase {
 
   /** A key type that is not assignable to any classes but Object. */
diff --git a/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java b/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
index d1ce341..ca5c4b1 100644
--- a/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
+++ b/guava-testlib/src/com/google/common/collect/testing/MapTestSuiteBuilder.java
@@ -18,7 +18,6 @@ package com.google.common.collect.testing;
 
 import static com.google.common.collect.testing.DerivedCollectionGenerators.keySetGenerator;
 
-import com.google.common.annotations.GwtIncompatible;
 import com.google.common.collect.testing.DerivedCollectionGenerators.MapEntrySetGenerator;
 import com.google.common.collect.testing.DerivedCollectionGenerators.MapValueCollectionGenerator;
 import com.google.common.collect.testing.features.CollectionFeature;
@@ -65,7 +64,6 @@ import junit.framework.TestSuite;
  *
  * @author George van den Driessche
  */
-@GwtIncompatible
 public class MapTestSuiteBuilder<K, V>
     extends PerCollectionSizeTestSuiteBuilder<
         MapTestSuiteBuilder<K, V>, TestMapGenerator<K, V>, Map<K, V>, Entry<K, V>> {
diff --git a/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java b/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
index a6ec93d..1f92d82 100644
--- a/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
+++ b/guava-testlib/src/com/google/common/collect/testing/MinimalCollection.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.AbstractCollection;
 import java.util.Arrays;
 import java.util.Collection;
@@ -28,7 +27,6 @@ import java.util.Iterator;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public class MinimalCollection<E> extends AbstractCollection<E> {
   // TODO: expose allow nulls parameter?
 
diff --git a/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java b/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
index c151c15..61a18b4 100644
--- a/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
+++ b/guava-testlib/src/com/google/common/collect/testing/MinimalIterable.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import java.util.Collection;
 import java.util.Iterator;
@@ -46,7 +45,6 @@ import java.util.Iterator;
  *
  * @author Kevin Bourrillion
  */
-@GwtCompatible
 public final class MinimalIterable<E> implements Iterable<E> {
   /** Returns an iterable whose iterator returns the given elements in order. */
   public static <E> MinimalIterable<E> of(E... elements) {
diff --git a/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java b/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
index 988dd3f..1307170 100644
--- a/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
+++ b/guava-testlib/src/com/google/common/collect/testing/MinimalSet.java
@@ -16,7 +16,6 @@
 
 package com.google.common.collect.testing;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.ArrayList;
 import java.util.Arrays;
 import java.util.Collection;
@@ -30,7 +29,6 @@ import java.util.Set;
  *
  * @author Regina O'Dell
  */
-@GwtCompatible
 public class MinimalSet<E> extends MinimalCollection<E> implements Set<E> {
 
   @SuppressWarnings("unchecked") // empty Object[] as E[]
